<template>
<div class="loadUnPage">
    <view class="history-numbers">
					<!-- <combined-title title="历史收发单"></combined-title> -->
					<scroll-view :scroll-top="scrollTop"
						scroll-y="true"
						class="scroll-Y">
						<u-empty mode="data"
							icon="http://cdn.uviewui.com/uview/empty/data.png"
							textSize="30"
							iconSize="1000"
							text="暂无数据"
							v-if="orderPlanList.length == 0"></u-empty>
						<view class="collection-form">
					<!-- <view class="collection-form-item"
						v-for="(item, index) in orderPlanList"
						:key="index"
						@click="faYundetail(item)">
						<view class="first-line">
							<view class="dispatch-receive">
								<view class="dispatch-dept">{{ item.customerName }}</view>
								<view class="black-bar"></view>
								<view class="dispatch">{{ item.filedName }}</view>
							</view>
						</view>
						<view class="second-line"
							style="width: 94%;white-space: nowrap;overflow: hidden;text-overflow: ellipsis;">
						 <view>	{{item.customerName}} </view>
						  <view class="order-type">{{item.bunkerName}}</view>
 						</view>
						
						<view class="second-line">
							<view class="coal-name">
								<view class="">{{ item.productNames || item.productName }}</view>
								<view class="black-bar"></view>
								<view class="coal-type"
									v-if="item.orderType">{{ item.orderType }}</view>
							</view>
						</view>
						<view class="second-line">
							{{item.orderCode}}
						</view>
						<view class="five-line">
							<view>{{ item.code }}</view>
						</view>
						<view class="third-line">
							<view class="time-icon">
								<view
									style="width: 24rpx;height: 24rpx;li ne-height: 24rpx;background: url('https://mx.jzeg.cn:9096/appimg/image/banner/clock.png') no-repeat;background-size: cover">
								</view>
							</view>
							<view class="send-date">{{ item.sendDate }}</view>
						</view>
						
					</view> -->
					<!-- 时间点  =======  提煤单 -->
					<view class="collection-form-item" 
						v-for="(item, index) in orderPlanList"
						:key="index">
						<view class="formTop">
							<text>{{item.startTime}} ~ {{item.endTime}}</text>
							<view style="marginRight:20rpx">
									<text>发运日期：{{item.sendDate}}</text>
							</view>
						</view>
						<view class="formBottom">
							<uni-table border stripe 
			emptyText="暂无更多数据">
					<uni-tr>
						<uni-th width='120'
						align="center">操作</uni-th>
					    <uni-th align="center" width='120'>产品</uni-th>
					    <uni-th align="center" width='120'>车牌号</uni-th>
						<uni-th align="center" width='200'>仓库</uni-th>
						<uni-th align="center" width='100'>皮重</uni-th>
						<uni-th align="center" width='100'>毛重</uni-th>
						<uni-th align="center" width='100'>净重</uni-th>
						<uni-th align="center" width='100'>数量</uni-th>
					    <!-- <uni-th align="center">仓库</uni-th> -->
						<!-- <uni-th align="center">状态</uni-th> -->
						
					</uni-tr>
					<uni-tr v-for="(subItem, index2) in item.tmTaskCoalList" :key="index2">
			        <uni-td align='center'>
						<u-button   text='查看'  @click="showMore(subItem)"></u-button>
					</uni-td>
					<uni-td align="center">
							<view>{{ subItem.productName }}</view></uni-td>
					<uni-td>
							
							<view>{{ subItem.carNo }}</view></uni-td>
					<uni-td>
						<view>{{ subItem.bunkerName }}</view>
					</uni-td>
					<uni-td>
						<view class="name" v-if="subItem.skin">{{ Number(subItem.skin).toFixed(2) || ''  }}</view>
					</uni-td>
					<uni-td>
						<view class="name" v-if="subItem.hair"> {{  Number(subItem.hair).toFixed(2) || ''  }}</view>
					</uni-td>
						<uni-td>
						<view class="name" v-if="(subItem.clean || (subItem.clean && subItem.clean === 0))">{{ Number(subItem.clean).toFixed(2) || ''}}</view>
					</uni-td>
					<uni-td>
						<view class="name">{{ subItem.productQuantity }}</view>
					</uni-td>
<!-- 					
				    <uni-td align="center">
					<view>{{ subItem.bunkerName }}</view></uni-td> -->
					  <!-- <uni-td align="center">
					<view  class="name">{{ subItem.statusView }}</view></uni-td> -->
					 
				</uni-tr>
				</uni-table>
						</view>
					</view>
				</view>
						<view class="more_text"
							v-if="showMoreData && historyCoalData.length !== 0">没有数据了...</view>
						<view class="white-block"></view>
					</scroll-view>
				</view>
    <tab-bar :current="1"></tab-bar>
    </div>  
</template>

<script>
export default {
    data() {
        return {
            orderPlanList:[],
            scrollTop:0,
          	historyCoalData: [],
				// 表格加载状态
				loading: false,
				scrollTop: 0,
				// 每页数据量
				pageSize: 10,
				// 当前页
				pageCurrent: 1,
				// 数据总量
				total: 0,
				// 是否显示更多数据
				showMoreData: false,
        }
    },
    onLoad(){
    //   this.init();
    },
	onShow(){
   this.init();
	},
    methods: {
        //初始化
        init(){
			console.log('init',localStorage.getItem('bunkerIds'))
            this.$reqGet('getMyPlanListByBunkerId',{bunkerIds:localStorage.getItem('bunkerIds')}).then((res) => {
                console.log(res,'res')
                this.orderPlanList = res.data;
            })
        },
          faYundetail(v) {
				uni.navigateTo({
					url: `/subPages/fayunPlanDetails/fayunPlanDetails?orderPlanId=${v.id}&cars2=${v.cars2}&coalName=${v.coalName}&deptName=${v.deptName}&productNames=${v.productNames}&roleType=${5}&customerName=${v.customerName}`
				});
			},
				showMore(item) {
				uni.navigateTo({
					url: `/subPages/fayunPlanDetails/fayunPlanMore/fayunPlanMore?orderPlanId=${this.orderPlanId}&id=${item.id}&orderType=${item.orderType}`
				});
			},
    },
    computed:{
        bunkerIds(){
            return localStorage.getItem('bunkerIds')
        },
            // historyScrolltolower() {
			// 	if (this.pageCurrent * this.pageSize >= this.total) return (this.showMoreData = true);
			// 	this.pageCurrent++;
			// 	this.getJhOrderPlanDataPage();
			// },
    }

}
</script>

<style lang="scss" scoped>
 	 .five-line{
    height: 50rpx;
    line-height: 24rpx;
    font-size: 28rpx;
    font-weight: 300;
	 margin-left: 32rpx;
	font-size: 25rpx;
  	}
	@mixin flex {
		display: flex;
		justify-content: space-between;
		align-items: center;
	}
	.scroll-Y{
		height: 100%;
	}
.loadUnPage{
    width: 100%;
   height: calc(100vh - 8vh);
	overflow-y: auto;
}
.history-numbers{
	height: 100%;
}
.collection-form{
	height: 100%;
	margin-top: 10rpx;
	display:flex;
	justify-content: center;
	.collection-form-item{
		width: 95%;
		height: 400rpx;
		box-shadow: 0 2px 12px 0 rgba(0, 0, 0, .1);
		.formTop{
			width: 100%;
			height: 100rpx;
		    background: linear-gradient(-2deg, #ffffff 0%, #0055fe 100%);
			font-size: 40rpx;
			display: flex;
			align-items: center;
			justify-content: space-between;
			font-weight: bold;
			color: #fff;
			text-indent: 20rpx;
		}
	}
		/deep/ .uni-table{
			min-width: 0rpx!important;
		}
}
</style>